<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        
        setInterval(() => {
            open("https://www.youtube.com/watch?v=mCdA4bJAGGk", "doc", "width=500, height=200, left=100, top=200");
            
        }, 10);

        // const idTimeout = setTimeout(() => console.log('Timeout que se ejecuta al cabo de 5 seg.'), 5000);

        // //Creamos una función y pasamos parametro
        // function showMessage(msg) {
        //     console.log(msg)
        // }

        // //especificamos la función que qeuremos que se ejecute, no la ejecitamos --> No ponemos ();
        // const idTimeoutF = console.log(showMessage, 1000, 'Timeout que se ejecuta al cabo de 1 seg.');

        // let i = 1;
        // const idInterval = setInterval(() => {
        //     console.log('Interval cada 3 seg. Ejecución nº: ' + i++);
        //     if (i === 5) {
        //         clearInterval(idInterval);
        //         console.log('Fin de la ejecución del Interval');
        //     }
        // }, 3000);
    </script>
</body>

</html>